/* markupreader.c generated by valac 0.26.0, the Vala compiler
 * generated from markupreader.vala, do not modify */

/* markupreader.vala
 *
 * Copyright (C) 2008-2009  Jürg Billeter
 * Copyright (C) 2011       Florian Brosch
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 *
 * Author:
 * 	Jürg Billeter <j@bitron.ch>
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gee.h>


#define VALADOC_TYPE_MARKUP_READER (valadoc_markup_reader_get_type ())
#define VALADOC_MARKUP_READER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALADOC_TYPE_MARKUP_READER, ValadocMarkupReader))
#define VALADOC_MARKUP_READER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALADOC_TYPE_MARKUP_READER, ValadocMarkupReaderClass))
#define VALADOC_IS_MARKUP_READER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALADOC_TYPE_MARKUP_READER))
#define VALADOC_IS_MARKUP_READER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALADOC_TYPE_MARKUP_READER))
#define VALADOC_MARKUP_READER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALADOC_TYPE_MARKUP_READER, ValadocMarkupReaderClass))

typedef struct _ValadocMarkupReader ValadocMarkupReader;
typedef struct _ValadocMarkupReaderClass ValadocMarkupReaderClass;
typedef struct _ValadocMarkupReaderPrivate ValadocMarkupReaderPrivate;

#define VALADOC_TYPE_ERROR_REPORTER (valadoc_error_reporter_get_type ())
#define VALADOC_ERROR_REPORTER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VALADOC_TYPE_ERROR_REPORTER, ValadocErrorReporter))
#define VALADOC_ERROR_REPORTER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VALADOC_TYPE_ERROR_REPORTER, ValadocErrorReporterClass))
#define VALADOC_IS_ERROR_REPORTER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VALADOC_TYPE_ERROR_REPORTER))
#define VALADOC_IS_ERROR_REPORTER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VALADOC_TYPE_ERROR_REPORTER))
#define VALADOC_ERROR_REPORTER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VALADOC_TYPE_ERROR_REPORTER, ValadocErrorReporterClass))

typedef struct _ValadocErrorReporter ValadocErrorReporter;
typedef struct _ValadocErrorReporterClass ValadocErrorReporterClass;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_mapped_file_unref0(var) ((var == NULL) ? NULL : (var = (g_mapped_file_unref (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

#define VALADOC_TYPE_MARKUP_SOURCE_LOCATION (valadoc_markup_source_location_get_type ())
typedef struct _ValadocMarkupSourceLocation ValadocMarkupSourceLocation;

#define VALADOC_TYPE_MARKUP_TOKEN_TYPE (valadoc_markup_token_type_get_type ())
#define _g_string_free0(var) ((var == NULL) ? NULL : (var = (g_string_free (var, TRUE), NULL)))

struct _ValadocMarkupReader {
	GObject parent_instance;
	ValadocMarkupReaderPrivate * priv;
};

struct _ValadocMarkupReaderClass {
	GObjectClass parent_class;
};

struct _ValadocMarkupReaderPrivate {
	gchar* _filename;
	gchar* _name;
	gchar* _content;
	GMappedFile* mapped_file;
	gchar** lines;
	gint lines_length1;
	gint _lines_size_;
	gchar* begin;
	gchar* current;
	gchar* end;
	gint line;
	gint column;
	GeeMap* attributes;
	gboolean empty_element;
	ValadocErrorReporter* reporter;
};

struct _ValadocMarkupSourceLocation {
	gchar* pos;
	gint line;
	gint column;
};

typedef enum  {
	VALADOC_MARKUP_TOKEN_TYPE_NONE,
	VALADOC_MARKUP_TOKEN_TYPE_COMMENT,
	VALADOC_MARKUP_TOKEN_TYPE_START_ELEMENT,
	VALADOC_MARKUP_TOKEN_TYPE_END_ELEMENT,
	VALADOC_MARKUP_TOKEN_TYPE_TEXT,
	VALADOC_MARKUP_TOKEN_TYPE_EOF
} ValadocMarkupTokenType;


static gpointer valadoc_markup_reader_parent_class = NULL;

GType valadoc_markup_reader_get_type (void) G_GNUC_CONST;
GType valadoc_error_reporter_get_type (void) G_GNUC_CONST;
#define VALADOC_MARKUP_READER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), VALADOC_TYPE_MARKUP_READER, ValadocMarkupReaderPrivate))
enum  {
	VALADOC_MARKUP_READER_DUMMY_PROPERTY,
	VALADOC_MARKUP_READER_FILENAME,
	VALADOC_MARKUP_READER_NAME,
	VALADOC_MARKUP_READER_CONTENT
};
ValadocMarkupReader* valadoc_markup_reader_new_from_string (const gchar* filename, const gchar* content, ValadocErrorReporter* reporter);
ValadocMarkupReader* valadoc_markup_reader_construct_from_string (GType object_type, const gchar* filename, const gchar* content, ValadocErrorReporter* reporter);
static void valadoc_markup_reader_set_filename (ValadocMarkupReader* self, const gchar* value);
ValadocMarkupReader* valadoc_markup_reader_new (const gchar* filename, ValadocErrorReporter* reporter);
ValadocMarkupReader* valadoc_markup_reader_construct (GType object_type, const gchar* filename, ValadocErrorReporter* reporter);
void valadoc_error_reporter_simple_error (ValadocErrorReporter* self, const gchar* msg_format, ...);
gchar* valadoc_markup_reader_get_line_content (ValadocMarkupReader* self, gint line_nr);
gchar* valadoc_markup_reader_get_attribute (ValadocMarkupReader* self, const gchar* attr);
GeeMap* valadoc_markup_reader_get_attributes (ValadocMarkupReader* self);
static gchar* valadoc_markup_reader_read_name (ValadocMarkupReader* self);
const gchar* valadoc_markup_reader_get_filename (ValadocMarkupReader* self);
GType valadoc_markup_source_location_get_type (void) G_GNUC_CONST;
ValadocMarkupSourceLocation* valadoc_markup_source_location_dup (const ValadocMarkupSourceLocation* self);
void valadoc_markup_source_location_free (ValadocMarkupSourceLocation* self);
GType valadoc_markup_token_type_get_type (void) G_GNUC_CONST;
ValadocMarkupTokenType valadoc_markup_reader_read_token (ValadocMarkupReader* self, ValadocMarkupSourceLocation* token_begin, ValadocMarkupSourceLocation* token_end);
void valadoc_markup_source_location_init (ValadocMarkupSourceLocation *self, gchar* _pos, gint _line, gint _column);
static void valadoc_markup_reader_set_content (ValadocMarkupReader* self, const gchar* value);
static void valadoc_markup_reader_set_name (ValadocMarkupReader* self, const gchar* value);
static void valadoc_markup_reader_space (ValadocMarkupReader* self);
static gchar* valadoc_markup_reader_text (ValadocMarkupReader* self, gchar end_char, gboolean rm_trailing_whitespace);
const gchar* valadoc_markup_reader_get_name (ValadocMarkupReader* self);
const gchar* valadoc_markup_reader_get_content (ValadocMarkupReader* self);
static void valadoc_markup_reader_finalize (GObject* obj);
static void _vala_valadoc_markup_reader_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_valadoc_markup_reader_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


static gpointer _g_object_ref0 (gpointer self) {
#line 64 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	return self ? g_object_ref (self) : NULL;
#line 154 "markupreader.c"
}


ValadocMarkupReader* valadoc_markup_reader_construct_from_string (GType object_type, const gchar* filename, const gchar* content, ValadocErrorReporter* reporter) {
	ValadocMarkupReader * self = NULL;
	const gchar* _tmp0_ = NULL;
	ValadocErrorReporter* _tmp1_ = NULL;
	ValadocErrorReporter* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gchar** _tmp4_ = NULL;
	gchar** _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	const gchar* _tmp8_ = NULL;
	gint _tmp9_ = 0;
	gint _tmp10_ = 0;
	gchar* _tmp11_ = NULL;
#line 62 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_return_val_if_fail (filename != NULL, NULL);
#line 62 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_return_val_if_fail (content != NULL, NULL);
#line 62 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_return_val_if_fail (reporter != NULL, NULL);
#line 62 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	self = (ValadocMarkupReader*) g_object_new (object_type, NULL);
#line 63 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp0_ = filename;
#line 63 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	valadoc_markup_reader_set_filename (self, _tmp0_);
#line 64 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp1_ = reporter;
#line 64 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 64 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_g_object_unref0 (self->priv->reporter);
#line 64 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	self->priv->reporter = _tmp2_;
#line 66 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp3_ = content;
#line 66 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp5_ = _tmp4_ = g_strsplit (_tmp3_, "\n", 0);
#line 66 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	self->priv->lines = (_vala_array_free (self->priv->lines, self->priv->lines_length1, (GDestroyNotify) g_free), NULL);
#line 66 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	self->priv->lines = _tmp5_;
#line 66 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	self->priv->lines_length1 = _vala_array_length (_tmp4_);
#line 66 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	self->priv->_lines_size_ = self->priv->lines_length1;
#line 67 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp6_ = content;
#line 67 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	self->priv->begin = _tmp6_;
#line 68 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp7_ = self->priv->begin;
#line 68 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp8_ = content;
#line 68 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp9_ = strlen (_tmp8_);
#line 68 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp10_ = _tmp9_;
#line 68 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	self->priv->end = _tmp7_ + _tmp10_;
#line 69 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp11_ = self->priv->begin;
#line 69 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	self->priv->current = _tmp11_;
#line 71 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	self->priv->column = 1;
#line 72 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	self->priv->line = 1;
#line 62 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	return self;
#line 228 "markupreader.c"
}


ValadocMarkupReader* valadoc_markup_reader_new_from_string (const gchar* filename, const gchar* content, ValadocErrorReporter* reporter) {
#line 62 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	return valadoc_markup_reader_construct_from_string (VALADOC_TYPE_MARKUP_READER, filename, content, reporter);
#line 235 "markupreader.c"
}


ValadocMarkupReader* valadoc_markup_reader_construct (GType object_type, const gchar* filename, ValadocErrorReporter* reporter) {
	ValadocMarkupReader * self = NULL;
	const gchar* _tmp0_ = NULL;
	ValadocErrorReporter* _tmp1_ = NULL;
	ValadocErrorReporter* _tmp2_ = NULL;
	GError * _inner_error_ = NULL;
#line 75 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_return_val_if_fail (filename != NULL, NULL);
#line 75 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_return_val_if_fail (reporter != NULL, NULL);
#line 75 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	self = (ValadocMarkupReader*) g_object_new (object_type, NULL);
#line 76 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp0_ = filename;
#line 76 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	valadoc_markup_reader_set_filename (self, _tmp0_);
#line 77 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp1_ = reporter;
#line 77 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 77 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_g_object_unref0 (self->priv->reporter);
#line 77 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	self->priv->reporter = _tmp2_;
#line 263 "markupreader.c"
	{
		GMappedFile* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
		GMappedFile* _tmp5_ = NULL;
		GMappedFile* _tmp6_ = NULL;
		GMappedFile* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gchar** _tmp10_ = NULL;
		gchar** _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		GMappedFile* _tmp13_ = NULL;
		gsize _tmp14_ = 0UL;
		gchar* _tmp15_ = NULL;
#line 80 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp4_ = filename;
#line 80 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp5_ = g_mapped_file_new (_tmp4_, FALSE, &_inner_error_);
#line 80 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp3_ = _tmp5_;
#line 80 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 80 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			if (_inner_error_->domain == G_FILE_ERROR) {
#line 288 "markupreader.c"
				goto __catch3_g_file_error;
			}
#line 80 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 80 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			g_clear_error (&_inner_error_);
#line 80 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			return NULL;
#line 297 "markupreader.c"
		}
#line 80 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp6_ = _tmp3_;
#line 80 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp3_ = NULL;
#line 80 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_g_mapped_file_unref0 (self->priv->mapped_file);
#line 80 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		self->priv->mapped_file = _tmp6_;
#line 81 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp7_ = self->priv->mapped_file;
#line 81 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp8_ = g_mapped_file_get_contents (_tmp7_);
#line 81 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		self->priv->begin = _tmp8_;
#line 82 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp9_ = self->priv->begin;
#line 82 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp11_ = _tmp10_ = g_strsplit ((const gchar*) _tmp9_, "\n", 0);
#line 82 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		self->priv->lines = (_vala_array_free (self->priv->lines, self->priv->lines_length1, (GDestroyNotify) g_free), NULL);
#line 82 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		self->priv->lines = _tmp11_;
#line 82 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		self->priv->lines_length1 = _vala_array_length (_tmp10_);
#line 82 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		self->priv->_lines_size_ = self->priv->lines_length1;
#line 83 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp12_ = self->priv->begin;
#line 83 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp13_ = self->priv->mapped_file;
#line 83 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp14_ = g_mapped_file_get_length (_tmp13_);
#line 83 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		self->priv->end = _tmp12_ + _tmp14_;
#line 85 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp15_ = self->priv->begin;
#line 85 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		self->priv->current = _tmp15_;
#line 87 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		self->priv->line = 1;
#line 88 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		self->priv->column = 1;
#line 79 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_g_mapped_file_unref0 (_tmp3_);
#line 343 "markupreader.c"
	}
	goto __finally3;
	__catch3_g_file_error:
	{
		GError* e = NULL;
		ValadocErrorReporter* _tmp16_ = NULL;
		const gchar* _tmp17_ = NULL;
		GError* _tmp18_ = NULL;
		const gchar* _tmp19_ = NULL;
#line 79 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		e = _inner_error_;
#line 79 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_inner_error_ = NULL;
#line 90 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp16_ = reporter;
#line 90 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp17_ = filename;
#line 90 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp18_ = e;
#line 90 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp19_ = _tmp18_->message;
#line 90 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		valadoc_error_reporter_simple_error (_tmp16_, "%s: error: Unable to map file: %s", _tmp17_, _tmp19_, NULL);
#line 79 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_g_error_free0 (e);
#line 369 "markupreader.c"
	}
	__finally3:
#line 79 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 79 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 79 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		g_clear_error (&_inner_error_);
#line 79 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		return NULL;
#line 380 "markupreader.c"
	}
#line 75 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	return self;
#line 384 "markupreader.c"
}


ValadocMarkupReader* valadoc_markup_reader_new (const gchar* filename, ValadocErrorReporter* reporter) {
#line 75 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	return valadoc_markup_reader_construct (VALADOC_TYPE_MARKUP_READER, filename, reporter);
#line 391 "markupreader.c"
}


gchar* valadoc_markup_reader_get_line_content (ValadocMarkupReader* self, gint line_nr) {
	gchar* result = NULL;
	gchar** _tmp0_ = NULL;
	gint _tmp0__length1 = 0;
	gint _tmp1_ = 0;
#line 94 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 95 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp0_ = self->priv->lines;
#line 95 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp0__length1 = self->priv->lines_length1;
#line 95 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp1_ = line_nr;
#line 95 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	if (_tmp0__length1 > _tmp1_) {
#line 410 "markupreader.c"
		gchar** _tmp2_ = NULL;
		gint _tmp2__length1 = 0;
		gint _tmp3_ = 0;
		const gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
#line 96 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp2_ = self->priv->lines;
#line 96 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp2__length1 = self->priv->lines_length1;
#line 96 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp3_ = line_nr;
#line 96 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp4_ = _tmp2_[_tmp3_];
#line 96 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp5_ = g_strdup (_tmp4_);
#line 96 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		result = _tmp5_;
#line 96 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		return result;
#line 430 "markupreader.c"
	}
#line 99 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	result = NULL;
#line 99 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	return result;
#line 436 "markupreader.c"
}


gchar* valadoc_markup_reader_get_attribute (ValadocMarkupReader* self, const gchar* attr) {
	gchar* result = NULL;
	GeeMap* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gpointer _tmp2_ = NULL;
#line 102 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 102 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_return_val_if_fail (attr != NULL, NULL);
#line 103 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp0_ = self->priv->attributes;
#line 103 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp1_ = attr;
#line 103 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp2_ = gee_map_get (_tmp0_, _tmp1_);
#line 103 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	result = (gchar*) _tmp2_;
#line 103 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	return result;
#line 459 "markupreader.c"
}


GeeMap* valadoc_markup_reader_get_attributes (ValadocMarkupReader* self) {
	GeeMap* result = NULL;
	GeeHashMap* _result_ = NULL;
	GeeHashMap* _tmp0_ = NULL;
#line 111 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 112 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp0_ = gee_hash_map_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, g_free, G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, g_free, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 112 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_result_ = _tmp0_;
#line 473 "markupreader.c"
	{
		GeeIterator* _key_it = NULL;
		GeeMap* _tmp1_ = NULL;
		GeeSet* _tmp2_ = NULL;
		GeeSet* _tmp3_ = NULL;
		GeeSet* _tmp4_ = NULL;
		GeeIterator* _tmp5_ = NULL;
		GeeIterator* _tmp6_ = NULL;
#line 113 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp1_ = self->priv->attributes;
#line 113 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp2_ = gee_map_get_keys (_tmp1_);
#line 113 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp3_ = _tmp2_;
#line 113 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp4_ = _tmp3_;
#line 113 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp5_ = gee_iterable_iterator ((GeeIterable*) _tmp4_);
#line 113 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp6_ = _tmp5_;
#line 113 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_g_object_unref0 (_tmp4_);
#line 113 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_key_it = _tmp6_;
#line 113 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		while (TRUE) {
#line 500 "markupreader.c"
			GeeIterator* _tmp7_ = NULL;
			gboolean _tmp8_ = FALSE;
			gchar* key = NULL;
			GeeIterator* _tmp9_ = NULL;
			gpointer _tmp10_ = NULL;
			GeeHashMap* _tmp11_ = NULL;
			const gchar* _tmp12_ = NULL;
			GeeMap* _tmp13_ = NULL;
			const gchar* _tmp14_ = NULL;
			gpointer _tmp15_ = NULL;
			gchar* _tmp16_ = NULL;
#line 113 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp7_ = _key_it;
#line 113 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp8_ = gee_iterator_next (_tmp7_);
#line 113 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			if (!_tmp8_) {
#line 113 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				break;
#line 520 "markupreader.c"
			}
#line 113 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp9_ = _key_it;
#line 113 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp10_ = gee_iterator_get (_tmp9_);
#line 113 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			key = (gchar*) _tmp10_;
#line 114 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp11_ = _result_;
#line 114 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp12_ = key;
#line 114 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp13_ = self->priv->attributes;
#line 114 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp14_ = key;
#line 114 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp15_ = gee_map_get (_tmp13_, _tmp14_);
#line 114 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp16_ = (gchar*) _tmp15_;
#line 114 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			gee_abstract_map_set ((GeeAbstractMap*) _tmp11_, _tmp12_, _tmp16_);
#line 114 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_g_free0 (_tmp16_);
#line 113 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_g_free0 (key);
#line 546 "markupreader.c"
		}
#line 113 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_g_object_unref0 (_key_it);
#line 550 "markupreader.c"
	}
#line 116 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	result = (GeeMap*) _result_;
#line 116 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	return result;
#line 556 "markupreader.c"
}


static glong string_strnlen (gchar* str, glong maxlen) {
	glong result = 0L;
	gchar* end = NULL;
	gchar* _tmp0_ = NULL;
	glong _tmp1_ = 0L;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
#line 1197 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp0_ = str;
#line 1197 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp1_ = maxlen;
#line 1197 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp2_ = memchr (_tmp0_, 0, (gsize) _tmp1_);
#line 1197 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	end = _tmp2_;
#line 1198 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp3_ = end;
#line 1198 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	if (_tmp3_ == NULL) {
#line 579 "markupreader.c"
		glong _tmp4_ = 0L;
#line 1199 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp4_ = maxlen;
#line 1199 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		result = _tmp4_;
#line 1199 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		return result;
#line 587 "markupreader.c"
	} else {
		gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
#line 1201 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp5_ = end;
#line 1201 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp6_ = str;
#line 1201 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		result = (glong) (_tmp5_ - _tmp6_);
#line 1201 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		return result;
#line 599 "markupreader.c"
	}
}


static gchar* string_substring (const gchar* self, glong offset, glong len) {
	gchar* result = NULL;
	glong string_length = 0L;
	gboolean _tmp0_ = FALSE;
	glong _tmp1_ = 0L;
	glong _tmp8_ = 0L;
	glong _tmp14_ = 0L;
	glong _tmp17_ = 0L;
	glong _tmp18_ = 0L;
	glong _tmp19_ = 0L;
	glong _tmp20_ = 0L;
	glong _tmp21_ = 0L;
	gchar* _tmp22_ = NULL;
#line 1208 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1210 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp1_ = offset;
#line 1210 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	if (_tmp1_ >= ((glong) 0)) {
#line 623 "markupreader.c"
		glong _tmp2_ = 0L;
#line 1210 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp2_ = len;
#line 1210 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp0_ = _tmp2_ >= ((glong) 0);
#line 629 "markupreader.c"
	} else {
#line 1210 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp0_ = FALSE;
#line 633 "markupreader.c"
	}
#line 1210 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	if (_tmp0_) {
#line 637 "markupreader.c"
		glong _tmp3_ = 0L;
		glong _tmp4_ = 0L;
		glong _tmp5_ = 0L;
#line 1212 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp3_ = offset;
#line 1212 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp4_ = len;
#line 1212 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp5_ = string_strnlen ((gchar*) self, _tmp3_ + _tmp4_);
#line 1212 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		string_length = _tmp5_;
#line 649 "markupreader.c"
	} else {
		gint _tmp6_ = 0;
		gint _tmp7_ = 0;
#line 1214 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp6_ = strlen (self);
#line 1214 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp7_ = _tmp6_;
#line 1214 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		string_length = (glong) _tmp7_;
#line 659 "markupreader.c"
	}
#line 1217 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp8_ = offset;
#line 1217 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	if (_tmp8_ < ((glong) 0)) {
#line 665 "markupreader.c"
		glong _tmp9_ = 0L;
		glong _tmp10_ = 0L;
		glong _tmp11_ = 0L;
#line 1218 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp9_ = string_length;
#line 1218 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp10_ = offset;
#line 1218 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		offset = _tmp9_ + _tmp10_;
#line 1219 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp11_ = offset;
#line 1219 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		g_return_val_if_fail (_tmp11_ >= ((glong) 0), NULL);
#line 679 "markupreader.c"
	} else {
		glong _tmp12_ = 0L;
		glong _tmp13_ = 0L;
#line 1221 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp12_ = offset;
#line 1221 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp13_ = string_length;
#line 1221 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		g_return_val_if_fail (_tmp12_ <= _tmp13_, NULL);
#line 689 "markupreader.c"
	}
#line 1223 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp14_ = len;
#line 1223 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	if (_tmp14_ < ((glong) 0)) {
#line 695 "markupreader.c"
		glong _tmp15_ = 0L;
		glong _tmp16_ = 0L;
#line 1224 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp15_ = string_length;
#line 1224 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		_tmp16_ = offset;
#line 1224 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
		len = _tmp15_ - _tmp16_;
#line 704 "markupreader.c"
	}
#line 1226 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp17_ = offset;
#line 1226 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp18_ = len;
#line 1226 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp19_ = string_length;
#line 1226 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	g_return_val_if_fail ((_tmp17_ + _tmp18_) <= _tmp19_, NULL);
#line 1227 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp20_ = offset;
#line 1227 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp21_ = len;
#line 1227 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	_tmp22_ = g_strndup (((gchar*) self) + _tmp20_, (gsize) _tmp21_);
#line 1227 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	result = _tmp22_;
#line 1227 "/usr/share/vala-0.26/vapi/glib-2.0.vapi"
	return result;
#line 724 "markupreader.c"
}


static gchar* valadoc_markup_reader_read_name (ValadocMarkupReader* self) {
	gchar* result = NULL;
	gchar* begin = NULL;
	gchar* _tmp0_ = NULL;
	gchar* _tmp31_ = NULL;
	gchar* _tmp32_ = NULL;
	gchar* _tmp33_ = NULL;
	gchar* _tmp34_ = NULL;
	gchar* _tmp35_ = NULL;
	gchar* _tmp36_ = NULL;
#line 119 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 120 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp0_ = self->priv->current;
#line 120 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	begin = _tmp0_;
#line 121 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	while (TRUE) {
#line 746 "markupreader.c"
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
		gboolean _tmp4_ = FALSE;
		gboolean _tmp5_ = FALSE;
		gboolean _tmp6_ = FALSE;
		gboolean _tmp7_ = FALSE;
		gchar* _tmp8_ = NULL;
		gchar _tmp9_ = '\0';
		gunichar u = 0U;
		gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
		gchar* _tmp22_ = NULL;
		gunichar _tmp23_ = 0U;
		gunichar _tmp24_ = 0U;
#line 121 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp1_ = self->priv->current;
#line 121 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp2_ = self->priv->end;
#line 121 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		if (!(_tmp1_ < _tmp2_)) {
#line 121 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			break;
#line 770 "markupreader.c"
		}
#line 122 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp8_ = self->priv->current;
#line 122 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp9_ = _tmp8_[0];
#line 122 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		if (_tmp9_ == ' ') {
#line 122 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp7_ = TRUE;
#line 780 "markupreader.c"
		} else {
			gchar* _tmp10_ = NULL;
			gchar _tmp11_ = '\0';
#line 122 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp10_ = self->priv->current;
#line 122 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp11_ = _tmp10_[0];
#line 122 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp7_ = _tmp11_ == '\t';
#line 790 "markupreader.c"
		}
#line 122 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		if (_tmp7_) {
#line 122 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp6_ = TRUE;
#line 796 "markupreader.c"
		} else {
			gchar* _tmp12_ = NULL;
			gchar _tmp13_ = '\0';
#line 122 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp12_ = self->priv->current;
#line 122 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp13_ = _tmp12_[0];
#line 122 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp6_ = _tmp13_ == '>';
#line 806 "markupreader.c"
		}
#line 122 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		if (_tmp6_) {
#line 122 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp5_ = TRUE;
#line 812 "markupreader.c"
		} else {
			gchar* _tmp14_ = NULL;
			gchar _tmp15_ = '\0';
#line 123 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp14_ = self->priv->current;
#line 123 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp15_ = _tmp14_[0];
#line 123 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp5_ = _tmp15_ == '/';
#line 822 "markupreader.c"
		}
#line 122 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		if (_tmp5_) {
#line 122 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp4_ = TRUE;
#line 828 "markupreader.c"
		} else {
			gchar* _tmp16_ = NULL;
			gchar _tmp17_ = '\0';
#line 123 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp16_ = self->priv->current;
#line 123 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp17_ = _tmp16_[0];
#line 123 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp4_ = _tmp17_ == '=';
#line 838 "markupreader.c"
		}
#line 122 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		if (_tmp4_) {
#line 122 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp3_ = TRUE;
#line 844 "markupreader.c"
		} else {
			gchar* _tmp18_ = NULL;
			gchar _tmp19_ = '\0';
#line 123 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp18_ = self->priv->current;
#line 123 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp19_ = _tmp18_[0];
#line 123 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp3_ = _tmp19_ == '\n';
#line 854 "markupreader.c"
		}
#line 122 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		if (_tmp3_) {
#line 124 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			break;
#line 860 "markupreader.c"
		}
#line 126 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp20_ = self->priv->current;
#line 126 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp21_ = self->priv->end;
#line 126 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp22_ = self->priv->current;
#line 126 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp23_ = g_utf8_get_char_validated ((const gchar*) _tmp20_, (gssize) ((glong) (_tmp21_ - _tmp22_)));
#line 126 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		u = _tmp23_;
#line 127 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp24_ = u;
#line 127 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		if (_tmp24_ != ((gunichar) (-1))) {
#line 876 "markupreader.c"
			gchar* _tmp25_ = NULL;
			gunichar _tmp26_ = 0U;
			gint _tmp27_ = 0;
#line 128 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp25_ = self->priv->current;
#line 128 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp26_ = u;
#line 128 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp27_ = g_unichar_to_utf8 (_tmp26_, NULL);
#line 128 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			self->priv->current = _tmp25_ + _tmp27_;
#line 888 "markupreader.c"
		} else {
			ValadocErrorReporter* _tmp28_ = NULL;
			const gchar* _tmp29_ = NULL;
			gint _tmp30_ = 0;
#line 130 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp28_ = self->priv->reporter;
#line 130 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp29_ = self->priv->_filename;
#line 130 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp30_ = self->priv->line;
#line 130 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			valadoc_error_reporter_simple_error (_tmp28_, "%s:%d: error: invalid UTF-8 character", _tmp29_, _tmp30_, NULL);
#line 901 "markupreader.c"
		}
	}
#line 133 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp31_ = self->priv->current;
#line 133 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp32_ = begin;
#line 133 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	if (_tmp31_ == _tmp32_) {
#line 910 "markupreader.c"
	}
#line 136 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp33_ = begin;
#line 136 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp34_ = self->priv->current;
#line 136 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp35_ = begin;
#line 136 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp36_ = string_substring ((const gchar*) _tmp33_, (glong) 0, (glong) ((gint) (_tmp34_ - _tmp35_)));
#line 136 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	result = _tmp36_;
#line 136 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	return result;
#line 924 "markupreader.c"
}


ValadocMarkupTokenType valadoc_markup_reader_read_token (ValadocMarkupReader* self, ValadocMarkupSourceLocation* token_begin, ValadocMarkupSourceLocation* token_end) {
	ValadocMarkupSourceLocation _vala_token_begin = {0};
	ValadocMarkupSourceLocation _vala_token_end = {0};
	ValadocMarkupTokenType result = 0;
	GeeMap* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	ValadocMarkupTokenType type = 0;
	gchar* begin = NULL;
	gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
	gint _tmp10_ = 0;
	gint _tmp11_ = 0;
	gchar* _tmp12_ = NULL;
	gchar* _tmp13_ = NULL;
	gchar* _tmp111_ = NULL;
	gint _tmp112_ = 0;
	gint _tmp113_ = 0;
#line 139 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 140 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp0_ = self->priv->attributes;
#line 140 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	gee_map_clear (_tmp0_);
#line 142 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp1_ = self->priv->empty_element;
#line 142 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	if (_tmp1_) {
#line 955 "markupreader.c"
		gchar* _tmp2_ = NULL;
		gint _tmp3_ = 0;
		gint _tmp4_ = 0;
		gchar* _tmp5_ = NULL;
		gint _tmp6_ = 0;
		gint _tmp7_ = 0;
#line 143 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		self->priv->empty_element = FALSE;
#line 144 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp2_ = self->priv->begin;
#line 144 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp3_ = self->priv->line;
#line 144 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp4_ = self->priv->column;
#line 144 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		valadoc_markup_source_location_init (&_vala_token_begin, _tmp2_, _tmp3_, _tmp4_);
#line 145 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp5_ = self->priv->begin;
#line 145 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp6_ = self->priv->line;
#line 145 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp7_ = self->priv->column;
#line 145 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		valadoc_markup_source_location_init (&_vala_token_end, _tmp5_, _tmp6_, _tmp7_);
#line 146 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		result = VALADOC_MARKUP_TOKEN_TYPE_END_ELEMENT;
#line 146 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		if (token_begin) {
#line 146 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			*token_begin = _vala_token_begin;
#line 986 "markupreader.c"
		}
#line 146 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		if (token_end) {
#line 146 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			*token_end = _vala_token_end;
#line 992 "markupreader.c"
		}
#line 146 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		return result;
#line 996 "markupreader.c"
	}
#line 149 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	valadoc_markup_reader_set_content (self, NULL);
#line 150 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	valadoc_markup_reader_set_name (self, NULL);
#line 152 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	valadoc_markup_reader_space (self);
#line 154 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	type = VALADOC_MARKUP_TOKEN_TYPE_NONE;
#line 155 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp8_ = self->priv->current;
#line 155 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	begin = _tmp8_;
#line 156 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp9_ = begin;
#line 156 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp10_ = self->priv->line;
#line 156 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp11_ = self->priv->column;
#line 156 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	valadoc_markup_source_location_init (&_vala_token_begin, _tmp9_, _tmp10_, _tmp11_);
#line 158 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp12_ = self->priv->current;
#line 158 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp13_ = self->priv->end;
#line 158 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	if (_tmp12_ >= _tmp13_) {
#line 159 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		type = VALADOC_MARKUP_TOKEN_TYPE_EOF;
#line 1026 "markupreader.c"
	} else {
		gchar* _tmp14_ = NULL;
		gchar _tmp15_ = '\0';
#line 160 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp14_ = self->priv->current;
#line 160 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp15_ = _tmp14_[0];
#line 160 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		if (_tmp15_ == '<') {
#line 1036 "markupreader.c"
			gchar* _tmp16_ = NULL;
			gchar* _tmp17_ = NULL;
			gchar* _tmp18_ = NULL;
#line 161 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp16_ = self->priv->current;
#line 161 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			self->priv->current = _tmp16_ + 1;
#line 162 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp17_ = self->priv->current;
#line 162 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp18_ = self->priv->end;
#line 162 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			if (_tmp17_ >= _tmp18_) {
#line 1050 "markupreader.c"
			} else {
				gchar* _tmp19_ = NULL;
				gchar _tmp20_ = '\0';
#line 164 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_tmp19_ = self->priv->current;
#line 164 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_tmp20_ = _tmp19_[0];
#line 164 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				if (_tmp20_ == '?') {
#line 1060 "markupreader.c"
				} else {
					gchar* _tmp21_ = NULL;
					gchar _tmp22_ = '\0';
#line 166 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_tmp21_ = self->priv->current;
#line 166 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_tmp22_ = _tmp21_[0];
#line 166 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					if (_tmp22_ == '!') {
#line 1070 "markupreader.c"
						gchar* _tmp23_ = NULL;
						gboolean _tmp24_ = FALSE;
						gboolean _tmp25_ = FALSE;
						gchar* _tmp26_ = NULL;
						gchar* _tmp27_ = NULL;
#line 168 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						_tmp23_ = self->priv->current;
#line 168 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						self->priv->current = _tmp23_ + 1;
#line 169 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						_tmp26_ = self->priv->current;
#line 169 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						_tmp27_ = self->priv->end;
#line 169 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						if (_tmp26_ < (_tmp27_ - 1)) {
#line 1086 "markupreader.c"
							gchar* _tmp28_ = NULL;
							gchar _tmp29_ = '\0';
#line 169 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp28_ = self->priv->current;
#line 169 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp29_ = _tmp28_[0];
#line 169 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp25_ = _tmp29_ == '-';
#line 1095 "markupreader.c"
						} else {
#line 169 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp25_ = FALSE;
#line 1099 "markupreader.c"
						}
#line 169 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						if (_tmp25_) {
#line 1103 "markupreader.c"
							gchar* _tmp30_ = NULL;
							gchar _tmp31_ = '\0';
#line 169 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp30_ = self->priv->current;
#line 169 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp31_ = _tmp30_[1];
#line 169 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp24_ = _tmp31_ == '-';
#line 1112 "markupreader.c"
						} else {
#line 169 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp24_ = FALSE;
#line 1116 "markupreader.c"
						}
#line 169 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						if (_tmp24_) {
#line 1120 "markupreader.c"
							gchar* _tmp32_ = NULL;
							ValadocMarkupSourceLocation _tmp48_ = {0};
							ValadocMarkupSourceLocation _tmp49_ = {0};
							ValadocMarkupTokenType _tmp50_ = 0;
#line 171 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp32_ = self->priv->current;
#line 171 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							self->priv->current = _tmp32_ + 2;
#line 172 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							while (TRUE) {
#line 1131 "markupreader.c"
								gchar* _tmp33_ = NULL;
								gchar* _tmp34_ = NULL;
								gboolean _tmp35_ = FALSE;
								gboolean _tmp36_ = FALSE;
								gchar* _tmp37_ = NULL;
								gchar _tmp38_ = '\0';
								gchar* _tmp47_ = NULL;
#line 172 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp33_ = self->priv->current;
#line 172 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp34_ = self->priv->end;
#line 172 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								if (!(_tmp33_ < (_tmp34_ - 2))) {
#line 172 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									break;
#line 1147 "markupreader.c"
								}
#line 173 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp37_ = self->priv->current;
#line 173 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp38_ = _tmp37_[0];
#line 173 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								if (_tmp38_ == '-') {
#line 1155 "markupreader.c"
									gchar* _tmp39_ = NULL;
									gchar _tmp40_ = '\0';
#line 173 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp39_ = self->priv->current;
#line 173 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp40_ = _tmp39_[1];
#line 173 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp36_ = _tmp40_ == '-';
#line 1164 "markupreader.c"
								} else {
#line 173 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp36_ = FALSE;
#line 1168 "markupreader.c"
								}
#line 173 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								if (_tmp36_) {
#line 1172 "markupreader.c"
									gchar* _tmp41_ = NULL;
									gchar _tmp42_ = '\0';
#line 173 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp41_ = self->priv->current;
#line 173 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp42_ = _tmp41_[2];
#line 173 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp35_ = _tmp42_ == '>';
#line 1181 "markupreader.c"
								} else {
#line 173 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp35_ = FALSE;
#line 1185 "markupreader.c"
								}
#line 173 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								if (_tmp35_) {
#line 1189 "markupreader.c"
									gchar* _tmp43_ = NULL;
#line 175 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp43_ = self->priv->current;
#line 175 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									self->priv->current = _tmp43_ + 3;
#line 176 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									break;
#line 1197 "markupreader.c"
								} else {
									gchar* _tmp44_ = NULL;
									gchar _tmp45_ = '\0';
#line 177 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp44_ = self->priv->current;
#line 177 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp45_ = _tmp44_[0];
#line 177 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									if (_tmp45_ == '\n') {
#line 1207 "markupreader.c"
										gint _tmp46_ = 0;
#line 178 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
										_tmp46_ = self->priv->line;
#line 178 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
										self->priv->line = _tmp46_ + 1;
#line 179 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
										self->priv->column = 0;
#line 1215 "markupreader.c"
									}
								}
#line 181 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp47_ = self->priv->current;
#line 181 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								self->priv->current = _tmp47_ + 1;
#line 1222 "markupreader.c"
							}
#line 185 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp50_ = valadoc_markup_reader_read_token (self, &_tmp48_, &_tmp49_);
#line 185 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_vala_token_begin = _tmp48_;
#line 185 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_vala_token_end = _tmp49_;
#line 185 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							result = _tmp50_;
#line 185 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							if (token_begin) {
#line 185 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								*token_begin = _vala_token_begin;
#line 1236 "markupreader.c"
							}
#line 185 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							if (token_end) {
#line 185 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								*token_end = _vala_token_end;
#line 1242 "markupreader.c"
							}
#line 185 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							return result;
#line 1246 "markupreader.c"
						}
					} else {
						gchar* _tmp51_ = NULL;
						gchar _tmp52_ = '\0';
#line 187 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						_tmp51_ = self->priv->current;
#line 187 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						_tmp52_ = _tmp51_[0];
#line 187 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						if (_tmp52_ == '/') {
#line 1257 "markupreader.c"
							gchar* _tmp53_ = NULL;
							gchar* _tmp54_ = NULL;
							gchar* _tmp55_ = NULL;
							gboolean _tmp56_ = FALSE;
							gchar* _tmp57_ = NULL;
							gchar* _tmp58_ = NULL;
							gchar* _tmp61_ = NULL;
#line 188 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							type = VALADOC_MARKUP_TOKEN_TYPE_END_ELEMENT;
#line 189 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp53_ = self->priv->current;
#line 189 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							self->priv->current = _tmp53_ + 1;
#line 190 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp54_ = valadoc_markup_reader_read_name (self);
#line 190 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp55_ = _tmp54_;
#line 190 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							valadoc_markup_reader_set_name (self, _tmp55_);
#line 190 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_g_free0 (_tmp55_);
#line 191 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp57_ = self->priv->current;
#line 191 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp58_ = self->priv->end;
#line 191 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							if (_tmp57_ >= _tmp58_) {
#line 191 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp56_ = TRUE;
#line 1287 "markupreader.c"
							} else {
								gchar* _tmp59_ = NULL;
								gchar _tmp60_ = '\0';
#line 191 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp59_ = self->priv->current;
#line 191 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp60_ = _tmp59_[0];
#line 191 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp56_ = _tmp60_ != '>';
#line 1297 "markupreader.c"
							}
#line 191 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							if (_tmp56_) {
#line 1301 "markupreader.c"
							}
#line 194 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp61_ = self->priv->current;
#line 194 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							self->priv->current = _tmp61_ + 1;
#line 1307 "markupreader.c"
						} else {
							gchar* _tmp62_ = NULL;
							gchar* _tmp63_ = NULL;
							gchar* _tmp95_ = NULL;
							gchar _tmp96_ = '\0';
							gboolean _tmp98_ = FALSE;
							gchar* _tmp99_ = NULL;
							gchar* _tmp100_ = NULL;
							gchar* _tmp103_ = NULL;
#line 196 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							type = VALADOC_MARKUP_TOKEN_TYPE_START_ELEMENT;
#line 197 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp62_ = valadoc_markup_reader_read_name (self);
#line 197 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp63_ = _tmp62_;
#line 197 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							valadoc_markup_reader_set_name (self, _tmp63_);
#line 197 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_g_free0 (_tmp63_);
#line 198 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							valadoc_markup_reader_space (self);
#line 199 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							while (TRUE) {
#line 1331 "markupreader.c"
								gboolean _tmp64_ = FALSE;
								gboolean _tmp65_ = FALSE;
								gchar* _tmp66_ = NULL;
								gchar* _tmp67_ = NULL;
								gchar* attr_name = NULL;
								gchar* _tmp72_ = NULL;
								gboolean _tmp73_ = FALSE;
								gchar* _tmp74_ = NULL;
								gchar* _tmp75_ = NULL;
								gchar* _tmp78_ = NULL;
								gboolean _tmp79_ = FALSE;
								gchar* _tmp80_ = NULL;
								gchar* _tmp81_ = NULL;
								gchar* _tmp84_ = NULL;
								gchar* attr_value = NULL;
								gchar* _tmp85_ = NULL;
								gboolean _tmp86_ = FALSE;
								gchar* _tmp87_ = NULL;
								gchar* _tmp88_ = NULL;
								gchar* _tmp91_ = NULL;
								GeeMap* _tmp92_ = NULL;
								const gchar* _tmp93_ = NULL;
								const gchar* _tmp94_ = NULL;
#line 199 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp66_ = self->priv->current;
#line 199 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp67_ = self->priv->end;
#line 199 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								if (_tmp66_ < _tmp67_) {
#line 1361 "markupreader.c"
									gchar* _tmp68_ = NULL;
									gchar _tmp69_ = '\0';
#line 199 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp68_ = self->priv->current;
#line 199 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp69_ = _tmp68_[0];
#line 199 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp65_ = _tmp69_ != '>';
#line 1370 "markupreader.c"
								} else {
#line 199 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp65_ = FALSE;
#line 1374 "markupreader.c"
								}
#line 199 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								if (_tmp65_) {
#line 1378 "markupreader.c"
									gchar* _tmp70_ = NULL;
									gchar _tmp71_ = '\0';
#line 199 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp70_ = self->priv->current;
#line 199 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp71_ = _tmp70_[0];
#line 199 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp64_ = _tmp71_ != '/';
#line 1387 "markupreader.c"
								} else {
#line 199 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp64_ = FALSE;
#line 1391 "markupreader.c"
								}
#line 199 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								if (!_tmp64_) {
#line 199 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									break;
#line 1397 "markupreader.c"
								}
#line 200 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp72_ = valadoc_markup_reader_read_name (self);
#line 200 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								attr_name = _tmp72_;
#line 201 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp74_ = self->priv->current;
#line 201 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp75_ = self->priv->end;
#line 201 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								if (_tmp74_ >= _tmp75_) {
#line 201 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp73_ = TRUE;
#line 1411 "markupreader.c"
								} else {
									gchar* _tmp76_ = NULL;
									gchar _tmp77_ = '\0';
#line 201 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp76_ = self->priv->current;
#line 201 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp77_ = _tmp76_[0];
#line 201 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp73_ = _tmp77_ != '=';
#line 1421 "markupreader.c"
								}
#line 201 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								if (_tmp73_) {
#line 1425 "markupreader.c"
								}
#line 204 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp78_ = self->priv->current;
#line 204 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								self->priv->current = _tmp78_ + 1;
#line 206 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp80_ = self->priv->current;
#line 206 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp81_ = self->priv->end;
#line 206 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								if (_tmp80_ >= _tmp81_) {
#line 206 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp79_ = TRUE;
#line 1439 "markupreader.c"
								} else {
									gchar* _tmp82_ = NULL;
									gchar _tmp83_ = '\0';
#line 206 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp82_ = self->priv->current;
#line 206 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp83_ = _tmp82_[0];
#line 206 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp79_ = _tmp83_ != '"';
#line 1449 "markupreader.c"
								}
#line 206 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								if (_tmp79_) {
#line 1453 "markupreader.c"
								}
#line 209 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp84_ = self->priv->current;
#line 209 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								self->priv->current = _tmp84_ + 1;
#line 211 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp85_ = valadoc_markup_reader_text (self, '"', FALSE);
#line 211 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								attr_value = _tmp85_;
#line 213 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp87_ = self->priv->current;
#line 213 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp88_ = self->priv->end;
#line 213 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								if (_tmp87_ >= _tmp88_) {
#line 213 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp86_ = TRUE;
#line 1471 "markupreader.c"
								} else {
									gchar* _tmp89_ = NULL;
									gchar _tmp90_ = '\0';
#line 213 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp89_ = self->priv->current;
#line 213 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp90_ = _tmp89_[0];
#line 213 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp86_ = _tmp90_ != '"';
#line 1481 "markupreader.c"
								}
#line 213 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								if (_tmp86_) {
#line 1485 "markupreader.c"
								}
#line 216 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp91_ = self->priv->current;
#line 216 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								self->priv->current = _tmp91_ + 1;
#line 217 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp92_ = self->priv->attributes;
#line 217 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp93_ = attr_name;
#line 217 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp94_ = attr_value;
#line 217 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								gee_map_set (_tmp92_, _tmp93_, _tmp94_);
#line 218 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								valadoc_markup_reader_space (self);
#line 199 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_g_free0 (attr_value);
#line 199 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_g_free0 (attr_name);
#line 1505 "markupreader.c"
							}
#line 220 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp95_ = self->priv->current;
#line 220 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp96_ = _tmp95_[0];
#line 220 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							if (_tmp96_ == '/') {
#line 1513 "markupreader.c"
								gchar* _tmp97_ = NULL;
#line 221 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								self->priv->empty_element = TRUE;
#line 222 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp97_ = self->priv->current;
#line 222 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								self->priv->current = _tmp97_ + 1;
#line 223 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								valadoc_markup_reader_space (self);
#line 1523 "markupreader.c"
							} else {
#line 225 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								self->priv->empty_element = FALSE;
#line 1527 "markupreader.c"
							}
#line 227 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp99_ = self->priv->current;
#line 227 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp100_ = self->priv->end;
#line 227 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							if (_tmp99_ >= _tmp100_) {
#line 227 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp98_ = TRUE;
#line 1537 "markupreader.c"
							} else {
								gchar* _tmp101_ = NULL;
								gchar _tmp102_ = '\0';
#line 227 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp101_ = self->priv->current;
#line 227 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp102_ = _tmp101_[0];
#line 227 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp98_ = _tmp102_ != '>';
#line 1547 "markupreader.c"
							}
#line 227 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							if (_tmp98_) {
#line 1551 "markupreader.c"
							}
#line 230 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp103_ = self->priv->current;
#line 230 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							self->priv->current = _tmp103_ + 1;
#line 1557 "markupreader.c"
						}
					}
				}
			}
		} else {
			gchar* _tmp104_ = NULL;
			gchar _tmp105_ = '\0';
#line 233 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			valadoc_markup_reader_space (self);
#line 235 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp104_ = self->priv->current;
#line 235 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp105_ = _tmp104_[0];
#line 235 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			if (_tmp105_ != '<') {
#line 1573 "markupreader.c"
				gchar* _tmp106_ = NULL;
				gchar* _tmp107_ = NULL;
#line 236 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_tmp106_ = valadoc_markup_reader_text (self, '<', TRUE);
#line 236 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_tmp107_ = _tmp106_;
#line 236 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				valadoc_markup_reader_set_content (self, _tmp107_);
#line 236 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_g_free0 (_tmp107_);
#line 1584 "markupreader.c"
			} else {
				ValadocMarkupSourceLocation _tmp108_ = {0};
				ValadocMarkupSourceLocation _tmp109_ = {0};
				ValadocMarkupTokenType _tmp110_ = 0;
#line 240 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_tmp110_ = valadoc_markup_reader_read_token (self, &_tmp108_, &_tmp109_);
#line 240 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_vala_token_begin = _tmp108_;
#line 240 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_vala_token_end = _tmp109_;
#line 240 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				result = _tmp110_;
#line 240 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				if (token_begin) {
#line 240 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					*token_begin = _vala_token_begin;
#line 1601 "markupreader.c"
				}
#line 240 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				if (token_end) {
#line 240 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					*token_end = _vala_token_end;
#line 1607 "markupreader.c"
				}
#line 240 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				return result;
#line 1611 "markupreader.c"
			}
#line 243 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			type = VALADOC_MARKUP_TOKEN_TYPE_TEXT;
#line 1615 "markupreader.c"
		}
	}
#line 246 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp111_ = self->priv->current;
#line 246 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp112_ = self->priv->line;
#line 246 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp113_ = self->priv->column;
#line 246 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	valadoc_markup_source_location_init (&_vala_token_end, _tmp111_, _tmp112_, _tmp113_ - 1);
#line 248 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	result = type;
#line 248 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	if (token_begin) {
#line 248 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		*token_begin = _vala_token_begin;
#line 1632 "markupreader.c"
	}
#line 248 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	if (token_end) {
#line 248 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		*token_end = _vala_token_end;
#line 1638 "markupreader.c"
	}
#line 248 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	return result;
#line 1642 "markupreader.c"
}


static gchar* valadoc_markup_reader_text (ValadocMarkupReader* self, gchar end_char, gboolean rm_trailing_whitespace) {
	gchar* result = NULL;
	GString* content = NULL;
	GString* _tmp0_ = NULL;
	gchar* text_begin = NULL;
	gchar* _tmp1_ = NULL;
	gchar* last_linebreak = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp97_ = NULL;
	gchar* _tmp98_ = NULL;
	gint _tmp105_ = 0;
	gchar* _tmp106_ = NULL;
	gchar* _tmp107_ = NULL;
	gboolean _tmp108_ = FALSE;
	GString* _tmp127_ = NULL;
	const gchar* _tmp128_ = NULL;
	gchar* _tmp129_ = NULL;
#line 251 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 252 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp0_ = g_string_new ("");
#line 252 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	content = _tmp0_;
#line 253 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp1_ = self->priv->current;
#line 253 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	text_begin = _tmp1_;
#line 254 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp2_ = self->priv->current;
#line 254 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	last_linebreak = _tmp2_;
#line 256 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	while (TRUE) {
#line 1679 "markupreader.c"
		gboolean _tmp3_ = FALSE;
		gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		gunichar u = 0U;
		gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
		gunichar _tmp12_ = 0U;
		gunichar _tmp13_ = 0U;
#line 256 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp4_ = self->priv->current;
#line 256 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp5_ = self->priv->end;
#line 256 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		if (_tmp4_ < _tmp5_) {
#line 1695 "markupreader.c"
			gchar* _tmp6_ = NULL;
			gchar _tmp7_ = '\0';
			gchar _tmp8_ = '\0';
#line 256 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp6_ = self->priv->current;
#line 256 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp7_ = _tmp6_[0];
#line 256 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp8_ = end_char;
#line 256 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp3_ = _tmp7_ != _tmp8_;
#line 1707 "markupreader.c"
		} else {
#line 256 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp3_ = FALSE;
#line 1711 "markupreader.c"
		}
#line 256 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		if (!_tmp3_) {
#line 256 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			break;
#line 1717 "markupreader.c"
		}
#line 257 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp9_ = self->priv->current;
#line 257 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp10_ = self->priv->end;
#line 257 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp11_ = self->priv->current;
#line 257 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp12_ = g_utf8_get_char_validated ((const gchar*) _tmp9_, (gssize) ((glong) (_tmp10_ - _tmp11_)));
#line 257 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		u = _tmp12_;
#line 258 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp13_ = u;
#line 258 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		if (_tmp13_ == ((gunichar) (-1))) {
#line 1733 "markupreader.c"
			ValadocErrorReporter* _tmp14_ = NULL;
			const gchar* _tmp15_ = NULL;
			gint _tmp16_ = 0;
#line 259 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp14_ = self->priv->reporter;
#line 259 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp15_ = self->priv->_filename;
#line 259 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp16_ = self->priv->line;
#line 259 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			valadoc_error_reporter_simple_error (_tmp14_, "%s:%d: error: invalid UTF-8 character", _tmp15_, _tmp16_, NULL);
#line 1745 "markupreader.c"
		} else {
			gunichar _tmp17_ = 0U;
#line 260 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp17_ = u;
#line 260 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			if (_tmp17_ == ((gunichar) '&')) {
#line 1752 "markupreader.c"
				gchar* next_pos = NULL;
				gchar* _tmp18_ = NULL;
				gunichar _tmp19_ = 0U;
				gint _tmp20_ = 0;
				gchar* _tmp21_ = NULL;
				gboolean _tmp22_ = FALSE;
#line 261 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_tmp18_ = self->priv->current;
#line 261 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_tmp19_ = u;
#line 261 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_tmp20_ = g_unichar_to_utf8 (_tmp19_, NULL);
#line 261 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				next_pos = _tmp18_ + _tmp20_;
#line 262 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_tmp21_ = next_pos;
#line 262 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_tmp22_ = g_str_has_prefix ((const gchar*) _tmp21_, "amp;");
#line 262 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				if (_tmp22_) {
#line 1773 "markupreader.c"
					GString* _tmp23_ = NULL;
					gchar* _tmp24_ = NULL;
					gchar* _tmp25_ = NULL;
					gchar* _tmp26_ = NULL;
					gchar* _tmp27_ = NULL;
					gchar* _tmp28_ = NULL;
					GString* _tmp29_ = NULL;
					gchar* _tmp30_ = NULL;
					gchar* _tmp31_ = NULL;
#line 263 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_tmp23_ = content;
#line 263 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_tmp24_ = text_begin;
#line 263 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_tmp25_ = self->priv->current;
#line 263 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_tmp26_ = text_begin;
#line 263 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_tmp27_ = string_substring ((const gchar*) _tmp24_, (glong) 0, (glong) ((gint) (_tmp25_ - _tmp26_)));
#line 263 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_tmp28_ = _tmp27_;
#line 263 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					g_string_append (_tmp23_, _tmp28_);
#line 263 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_g_free0 (_tmp28_);
#line 264 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_tmp29_ = content;
#line 264 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					g_string_append_c (_tmp29_, '&');
#line 265 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_tmp30_ = self->priv->current;
#line 265 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					self->priv->current = _tmp30_ + 5;
#line 266 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_tmp31_ = self->priv->current;
#line 266 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					text_begin = _tmp31_;
#line 1811 "markupreader.c"
				} else {
					gchar* _tmp32_ = NULL;
					gboolean _tmp33_ = FALSE;
#line 267 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_tmp32_ = next_pos;
#line 267 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_tmp33_ = g_str_has_prefix ((const gchar*) _tmp32_, "quot;");
#line 267 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					if (_tmp33_) {
#line 1821 "markupreader.c"
						GString* _tmp34_ = NULL;
						gchar* _tmp35_ = NULL;
						gchar* _tmp36_ = NULL;
						gchar* _tmp37_ = NULL;
						gchar* _tmp38_ = NULL;
						gchar* _tmp39_ = NULL;
						GString* _tmp40_ = NULL;
						gchar* _tmp41_ = NULL;
						gchar* _tmp42_ = NULL;
#line 268 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						_tmp34_ = content;
#line 268 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						_tmp35_ = text_begin;
#line 268 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						_tmp36_ = self->priv->current;
#line 268 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						_tmp37_ = text_begin;
#line 268 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						_tmp38_ = string_substring ((const gchar*) _tmp35_, (glong) 0, (glong) ((gint) (_tmp36_ - _tmp37_)));
#line 268 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						_tmp39_ = _tmp38_;
#line 268 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						g_string_append (_tmp34_, _tmp39_);
#line 268 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						_g_free0 (_tmp39_);
#line 269 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						_tmp40_ = content;
#line 269 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						g_string_append_c (_tmp40_, '"');
#line 270 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						_tmp41_ = self->priv->current;
#line 270 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						self->priv->current = _tmp41_ + 6;
#line 271 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						_tmp42_ = self->priv->current;
#line 271 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						text_begin = _tmp42_;
#line 1859 "markupreader.c"
					} else {
						gchar* _tmp43_ = NULL;
						gboolean _tmp44_ = FALSE;
#line 272 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						_tmp43_ = next_pos;
#line 272 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						_tmp44_ = g_str_has_prefix ((const gchar*) _tmp43_, "apos;");
#line 272 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
						if (_tmp44_) {
#line 1869 "markupreader.c"
							GString* _tmp45_ = NULL;
							gchar* _tmp46_ = NULL;
							gchar* _tmp47_ = NULL;
							gchar* _tmp48_ = NULL;
							gchar* _tmp49_ = NULL;
							gchar* _tmp50_ = NULL;
							GString* _tmp51_ = NULL;
							gchar* _tmp52_ = NULL;
							gchar* _tmp53_ = NULL;
#line 273 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp45_ = content;
#line 273 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp46_ = text_begin;
#line 273 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp47_ = self->priv->current;
#line 273 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp48_ = text_begin;
#line 273 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp49_ = string_substring ((const gchar*) _tmp46_, (glong) 0, (glong) ((gint) (_tmp47_ - _tmp48_)));
#line 273 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp50_ = _tmp49_;
#line 273 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							g_string_append (_tmp45_, _tmp50_);
#line 273 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_g_free0 (_tmp50_);
#line 274 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp51_ = content;
#line 274 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							g_string_append_c (_tmp51_, '\'');
#line 275 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp52_ = self->priv->current;
#line 275 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							self->priv->current = _tmp52_ + 6;
#line 276 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp53_ = self->priv->current;
#line 276 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							text_begin = _tmp53_;
#line 1907 "markupreader.c"
						} else {
							gchar* _tmp54_ = NULL;
							gboolean _tmp55_ = FALSE;
#line 277 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp54_ = next_pos;
#line 277 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							_tmp55_ = g_str_has_prefix ((const gchar*) _tmp54_, "lt;");
#line 277 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
							if (_tmp55_) {
#line 1917 "markupreader.c"
								GString* _tmp56_ = NULL;
								gchar* _tmp57_ = NULL;
								gchar* _tmp58_ = NULL;
								gchar* _tmp59_ = NULL;
								gchar* _tmp60_ = NULL;
								gchar* _tmp61_ = NULL;
								GString* _tmp62_ = NULL;
								gchar* _tmp63_ = NULL;
								gchar* _tmp64_ = NULL;
#line 278 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp56_ = content;
#line 278 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp57_ = text_begin;
#line 278 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp58_ = self->priv->current;
#line 278 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp59_ = text_begin;
#line 278 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp60_ = string_substring ((const gchar*) _tmp57_, (glong) 0, (glong) ((gint) (_tmp58_ - _tmp59_)));
#line 278 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp61_ = _tmp60_;
#line 278 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								g_string_append (_tmp56_, _tmp61_);
#line 278 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_g_free0 (_tmp61_);
#line 279 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp62_ = content;
#line 279 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								g_string_append_c (_tmp62_, '<');
#line 280 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp63_ = self->priv->current;
#line 280 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								self->priv->current = _tmp63_ + 4;
#line 281 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp64_ = self->priv->current;
#line 281 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								text_begin = _tmp64_;
#line 1955 "markupreader.c"
							} else {
								gchar* _tmp65_ = NULL;
								gboolean _tmp66_ = FALSE;
#line 282 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp65_ = next_pos;
#line 282 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								_tmp66_ = g_str_has_prefix ((const gchar*) _tmp65_, "gt;");
#line 282 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
								if (_tmp66_) {
#line 1965 "markupreader.c"
									GString* _tmp67_ = NULL;
									gchar* _tmp68_ = NULL;
									gchar* _tmp69_ = NULL;
									gchar* _tmp70_ = NULL;
									gchar* _tmp71_ = NULL;
									gchar* _tmp72_ = NULL;
									GString* _tmp73_ = NULL;
									gchar* _tmp74_ = NULL;
									gchar* _tmp75_ = NULL;
#line 283 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp67_ = content;
#line 283 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp68_ = text_begin;
#line 283 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp69_ = self->priv->current;
#line 283 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp70_ = text_begin;
#line 283 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp71_ = string_substring ((const gchar*) _tmp68_, (glong) 0, (glong) ((gint) (_tmp69_ - _tmp70_)));
#line 283 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp72_ = _tmp71_;
#line 283 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									g_string_append (_tmp67_, _tmp72_);
#line 283 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_g_free0 (_tmp72_);
#line 284 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp73_ = content;
#line 284 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									g_string_append_c (_tmp73_, '>');
#line 285 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp74_ = self->priv->current;
#line 285 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									self->priv->current = _tmp74_ + 4;
#line 286 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp75_ = self->priv->current;
#line 286 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									text_begin = _tmp75_;
#line 2003 "markupreader.c"
								} else {
									gchar* _tmp76_ = NULL;
									gboolean _tmp77_ = FALSE;
#line 287 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp76_ = next_pos;
#line 287 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									_tmp77_ = g_str_has_prefix ((const gchar*) _tmp76_, "percnt;");
#line 287 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
									if (_tmp77_) {
#line 2013 "markupreader.c"
										GString* _tmp78_ = NULL;
										gchar* _tmp79_ = NULL;
										gchar* _tmp80_ = NULL;
										gchar* _tmp81_ = NULL;
										gchar* _tmp82_ = NULL;
										gchar* _tmp83_ = NULL;
										GString* _tmp84_ = NULL;
										gchar* _tmp85_ = NULL;
										gchar* _tmp86_ = NULL;
#line 288 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
										_tmp78_ = content;
#line 288 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
										_tmp79_ = text_begin;
#line 288 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
										_tmp80_ = self->priv->current;
#line 288 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
										_tmp81_ = text_begin;
#line 288 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
										_tmp82_ = string_substring ((const gchar*) _tmp79_, (glong) 0, (glong) ((gint) (_tmp80_ - _tmp81_)));
#line 288 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
										_tmp83_ = _tmp82_;
#line 288 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
										g_string_append (_tmp78_, _tmp83_);
#line 288 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
										_g_free0 (_tmp83_);
#line 289 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
										_tmp84_ = content;
#line 289 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
										g_string_append_c (_tmp84_, '>');
#line 290 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
										_tmp85_ = self->priv->current;
#line 290 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
										self->priv->current = _tmp85_ + 8;
#line 291 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
										_tmp86_ = self->priv->current;
#line 291 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
										text_begin = _tmp86_;
#line 2051 "markupreader.c"
									} else {
										gchar* _tmp87_ = NULL;
										gunichar _tmp88_ = 0U;
										gint _tmp89_ = 0;
#line 293 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
										_tmp87_ = self->priv->current;
#line 293 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
										_tmp88_ = u;
#line 293 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
										_tmp89_ = g_unichar_to_utf8 (_tmp88_, NULL);
#line 293 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
										self->priv->current = _tmp87_ + _tmp89_;
#line 2064 "markupreader.c"
									}
								}
							}
						}
					}
				}
			} else {
				gunichar _tmp90_ = 0U;
				gchar* _tmp93_ = NULL;
				gunichar _tmp94_ = 0U;
				gint _tmp95_ = 0;
				gint _tmp96_ = 0;
#line 296 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_tmp90_ = u;
#line 296 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				if (_tmp90_ == ((gunichar) '\n')) {
#line 2081 "markupreader.c"
					gint _tmp91_ = 0;
					gchar* _tmp92_ = NULL;
#line 297 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_tmp91_ = self->priv->line;
#line 297 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					self->priv->line = _tmp91_ + 1;
#line 298 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					self->priv->column = 0;
#line 299 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_tmp92_ = self->priv->current;
#line 299 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					last_linebreak = _tmp92_;
#line 2094 "markupreader.c"
				}
#line 302 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_tmp93_ = self->priv->current;
#line 302 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_tmp94_ = u;
#line 302 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_tmp95_ = g_unichar_to_utf8 (_tmp94_, NULL);
#line 302 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				self->priv->current = _tmp93_ + _tmp95_;
#line 303 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_tmp96_ = self->priv->column;
#line 303 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				self->priv->column = _tmp96_ + 1;
#line 2108 "markupreader.c"
			}
		}
	}
#line 307 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp97_ = text_begin;
#line 307 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp98_ = self->priv->current;
#line 307 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	if (_tmp97_ != _tmp98_) {
#line 2118 "markupreader.c"
		GString* _tmp99_ = NULL;
		gchar* _tmp100_ = NULL;
		gchar* _tmp101_ = NULL;
		gchar* _tmp102_ = NULL;
		gchar* _tmp103_ = NULL;
		gchar* _tmp104_ = NULL;
#line 308 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp99_ = content;
#line 308 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp100_ = text_begin;
#line 308 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp101_ = self->priv->current;
#line 308 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp102_ = text_begin;
#line 308 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp103_ = string_substring ((const gchar*) _tmp100_, (glong) 0, (glong) ((gint) (_tmp101_ - _tmp102_)));
#line 308 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp104_ = _tmp103_;
#line 308 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		g_string_append (_tmp99_, _tmp104_);
#line 308 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_g_free0 (_tmp104_);
#line 2141 "markupreader.c"
	}
#line 311 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp105_ = self->priv->column;
#line 311 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp106_ = self->priv->current;
#line 311 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp107_ = last_linebreak;
#line 311 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	self->priv->column = _tmp105_ + ((gint) (_tmp106_ - _tmp107_));
#line 314 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp108_ = rm_trailing_whitespace;
#line 314 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	if (_tmp108_) {
#line 2155 "markupreader.c"
		gchar* str_pos = NULL;
		GString* _tmp109_ = NULL;
		const gchar* _tmp110_ = NULL;
		GString* _tmp111_ = NULL;
		gssize _tmp112_ = 0L;
		GString* _tmp123_ = NULL;
		gchar* _tmp124_ = NULL;
		GString* _tmp125_ = NULL;
		const gchar* _tmp126_ = NULL;
#line 315 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp109_ = content;
#line 315 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp110_ = _tmp109_->str;
#line 315 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp111_ = content;
#line 315 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp112_ = _tmp111_->len;
#line 315 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		str_pos = ((gchar*) _tmp110_) + _tmp112_;
#line 2175 "markupreader.c"
		{
			gchar* _tmp113_ = NULL;
			gboolean _tmp114_ = FALSE;
#line 316 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp113_ = str_pos;
#line 316 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			str_pos = _tmp113_ - 1;
#line 316 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp114_ = TRUE;
#line 316 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			while (TRUE) {
#line 2187 "markupreader.c"
				gboolean _tmp116_ = FALSE;
				gchar* _tmp117_ = NULL;
				GString* _tmp118_ = NULL;
				const gchar* _tmp119_ = NULL;
#line 316 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				if (!_tmp114_) {
#line 2194 "markupreader.c"
					gchar* _tmp115_ = NULL;
#line 316 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_tmp115_ = str_pos;
#line 316 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					str_pos = _tmp115_ - 1;
#line 2200 "markupreader.c"
				}
#line 316 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_tmp114_ = FALSE;
#line 316 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_tmp117_ = str_pos;
#line 316 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_tmp118_ = content;
#line 316 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				_tmp119_ = _tmp118_->str;
#line 316 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				if (_tmp117_ > ((gchar*) _tmp119_)) {
#line 2212 "markupreader.c"
					gchar* _tmp120_ = NULL;
					gchar _tmp121_ = '\0';
					gboolean _tmp122_ = FALSE;
#line 316 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_tmp120_ = str_pos;
#line 316 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_tmp121_ = _tmp120_[0];
#line 316 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_tmp122_ = g_ascii_isspace (_tmp121_);
#line 316 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_tmp116_ = _tmp122_;
#line 2224 "markupreader.c"
				} else {
#line 316 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					_tmp116_ = FALSE;
#line 2228 "markupreader.c"
				}
#line 316 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
				if (!_tmp116_) {
#line 316 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
					break;
#line 2234 "markupreader.c"
				}
			}
		}
#line 317 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp123_ = content;
#line 317 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp124_ = str_pos;
#line 317 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp125_ = content;
#line 317 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp126_ = _tmp125_->str;
#line 317 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		g_string_erase (_tmp123_, (gssize) ((_tmp124_ - ((gchar*) _tmp126_)) + 1), (gssize) (-1));
#line 2248 "markupreader.c"
	}
#line 320 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp127_ = content;
#line 320 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp128_ = _tmp127_->str;
#line 320 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp129_ = g_strdup (_tmp128_);
#line 320 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	result = _tmp129_;
#line 320 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_g_string_free0 (content);
#line 320 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	return result;
#line 2262 "markupreader.c"
}


static void valadoc_markup_reader_space (ValadocMarkupReader* self) {
#line 323 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_return_if_fail (self != NULL);
#line 324 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	while (TRUE) {
#line 2271 "markupreader.c"
		gboolean _tmp0_ = FALSE;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar _tmp7_ = '\0';
		gchar* _tmp9_ = NULL;
		gint _tmp10_ = 0;
#line 324 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp1_ = self->priv->current;
#line 324 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp2_ = self->priv->end;
#line 324 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		if (_tmp1_ < _tmp2_) {
#line 2285 "markupreader.c"
			gchar* _tmp3_ = NULL;
			gchar _tmp4_ = '\0';
			gboolean _tmp5_ = FALSE;
#line 324 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp3_ = self->priv->current;
#line 324 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp4_ = _tmp3_[0];
#line 324 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp5_ = g_ascii_isspace (_tmp4_);
#line 324 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp0_ = _tmp5_;
#line 2297 "markupreader.c"
		} else {
#line 324 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp0_ = FALSE;
#line 2301 "markupreader.c"
		}
#line 324 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		if (!_tmp0_) {
#line 324 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			break;
#line 2307 "markupreader.c"
		}
#line 325 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp6_ = self->priv->current;
#line 325 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp7_ = _tmp6_[0];
#line 325 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		if (_tmp7_ == '\n') {
#line 2315 "markupreader.c"
			gint _tmp8_ = 0;
#line 326 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			_tmp8_ = self->priv->line;
#line 326 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			self->priv->line = _tmp8_ + 1;
#line 327 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
			self->priv->column = 0;
#line 2323 "markupreader.c"
		}
#line 329 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp9_ = self->priv->current;
#line 329 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		self->priv->current = _tmp9_ + 1;
#line 330 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		_tmp10_ = self->priv->column;
#line 330 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		self->priv->column = _tmp10_ + 1;
#line 2333 "markupreader.c"
	}
}


const gchar* valadoc_markup_reader_get_filename (ValadocMarkupReader* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 34 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 34 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp0_ = self->priv->_filename;
#line 34 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	result = _tmp0_;
#line 34 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	return result;
#line 2349 "markupreader.c"
}


static void valadoc_markup_reader_set_filename (ValadocMarkupReader* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 33 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_return_if_fail (self != NULL);
#line 33 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp0_ = value;
#line 33 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 33 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_g_free0 (self->priv->_filename);
#line 33 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	self->priv->_filename = _tmp1_;
#line 33 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_object_notify ((GObject *) self, "filename");
#line 2368 "markupreader.c"
}


const gchar* valadoc_markup_reader_get_name (ValadocMarkupReader* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 39 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 39 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp0_ = self->priv->_name;
#line 39 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	result = _tmp0_;
#line 39 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	return result;
#line 2383 "markupreader.c"
}


static void valadoc_markup_reader_set_name (ValadocMarkupReader* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 38 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_return_if_fail (self != NULL);
#line 38 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp0_ = value;
#line 38 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 38 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_g_free0 (self->priv->_name);
#line 38 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	self->priv->_name = _tmp1_;
#line 38 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_object_notify ((GObject *) self, "name");
#line 2402 "markupreader.c"
}


const gchar* valadoc_markup_reader_get_content (ValadocMarkupReader* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 44 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 44 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp0_ = self->priv->_content;
#line 44 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	result = _tmp0_;
#line 44 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	return result;
#line 2417 "markupreader.c"
}


static void valadoc_markup_reader_set_content (ValadocMarkupReader* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 43 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_return_if_fail (self != NULL);
#line 43 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp0_ = value;
#line 43 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 43 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_g_free0 (self->priv->_content);
#line 43 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	self->priv->_content = _tmp1_;
#line 43 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_object_notify ((GObject *) self, "content");
#line 2436 "markupreader.c"
}


static void valadoc_markup_reader_class_init (ValadocMarkupReaderClass * klass) {
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	valadoc_markup_reader_parent_class = g_type_class_peek_parent (klass);
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_type_class_add_private (klass, sizeof (ValadocMarkupReaderPrivate));
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_valadoc_markup_reader_get_property;
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_valadoc_markup_reader_set_property;
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	G_OBJECT_CLASS (klass)->finalize = valadoc_markup_reader_finalize;
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), VALADOC_MARKUP_READER_FILENAME, g_param_spec_string ("filename", "filename", "filename", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), VALADOC_MARKUP_READER_NAME, g_param_spec_string ("name", "name", "name", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), VALADOC_MARKUP_READER_CONTENT, g_param_spec_string ("content", "content", "content", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 2457 "markupreader.c"
}


static void valadoc_markup_reader_instance_init (ValadocMarkupReader * self) {
	GeeHashMap* _tmp0_ = NULL;
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	self->priv = VALADOC_MARKUP_READER_GET_PRIVATE (self);
#line 57 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_tmp0_ = gee_hash_map_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, g_free, G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, g_free, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 57 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	self->priv->attributes = (GeeMap*) _tmp0_;
#line 2469 "markupreader.c"
}


static void valadoc_markup_reader_finalize (GObject* obj) {
	ValadocMarkupReader * self;
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, VALADOC_TYPE_MARKUP_READER, ValadocMarkupReader);
#line 32 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_g_free0 (self->priv->_filename);
#line 37 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_g_free0 (self->priv->_name);
#line 42 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_g_free0 (self->priv->_content);
#line 47 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_g_mapped_file_unref0 (self->priv->mapped_file);
#line 49 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	self->priv->lines = (_vala_array_free (self->priv->lines, self->priv->lines_length1, (GDestroyNotify) g_free), NULL);
#line 57 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_g_object_unref0 (self->priv->attributes);
#line 60 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	_g_object_unref0 (self->priv->reporter);
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	G_OBJECT_CLASS (valadoc_markup_reader_parent_class)->finalize (obj);
#line 2493 "markupreader.c"
}


/**
 * Simple reader for a subset of XML.
 */
GType valadoc_markup_reader_get_type (void) {
	static volatile gsize valadoc_markup_reader_type_id__volatile = 0;
	if (g_once_init_enter (&valadoc_markup_reader_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (ValadocMarkupReaderClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) valadoc_markup_reader_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (ValadocMarkupReader), 0, (GInstanceInitFunc) valadoc_markup_reader_instance_init, NULL };
		GType valadoc_markup_reader_type_id;
		valadoc_markup_reader_type_id = g_type_register_static (G_TYPE_OBJECT, "ValadocMarkupReader", &g_define_type_info, 0);
		g_once_init_leave (&valadoc_markup_reader_type_id__volatile, valadoc_markup_reader_type_id);
	}
	return valadoc_markup_reader_type_id__volatile;
}


static void _vala_valadoc_markup_reader_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	ValadocMarkupReader * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, VALADOC_TYPE_MARKUP_READER, ValadocMarkupReader);
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	switch (property_id) {
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		case VALADOC_MARKUP_READER_FILENAME:
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		g_value_set_string (value, valadoc_markup_reader_get_filename (self));
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		break;
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		case VALADOC_MARKUP_READER_NAME:
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		g_value_set_string (value, valadoc_markup_reader_get_name (self));
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		break;
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		case VALADOC_MARKUP_READER_CONTENT:
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		g_value_set_string (value, valadoc_markup_reader_get_content (self));
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		break;
#line 2535 "markupreader.c"
		default:
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		break;
#line 2541 "markupreader.c"
	}
}


static void _vala_valadoc_markup_reader_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	ValadocMarkupReader * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, VALADOC_TYPE_MARKUP_READER, ValadocMarkupReader);
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
	switch (property_id) {
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		case VALADOC_MARKUP_READER_FILENAME:
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		valadoc_markup_reader_set_filename (self, g_value_get_string (value));
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		break;
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		case VALADOC_MARKUP_READER_NAME:
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		valadoc_markup_reader_set_name (self, g_value_get_string (value));
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		break;
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		case VALADOC_MARKUP_READER_CONTENT:
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		valadoc_markup_reader_set_content (self, g_value_get_string (value));
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		break;
#line 2569 "markupreader.c"
		default:
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 31 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/markupreader.vala"
		break;
#line 2575 "markupreader.c"
	}
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
#line 193 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/moduleloader.vala"
	if ((array != NULL) && (destroy_func != NULL)) {
#line 2583 "markupreader.c"
		int i;
#line 193 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/moduleloader.vala"
		for (i = 0; i < array_length; i = i + 1) {
#line 193 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/moduleloader.vala"
			if (((gpointer*) array)[i] != NULL) {
#line 193 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/moduleloader.vala"
				destroy_func (((gpointer*) array)[i]);
#line 2591 "markupreader.c"
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
#line 193 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/moduleloader.vala"
	_vala_array_destroy (array, array_length, destroy_func);
#line 193 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/moduleloader.vala"
	g_free (array);
#line 2603 "markupreader.c"
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
#line 193 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/moduleloader.vala"
	if (array) {
#line 193 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/moduleloader.vala"
		while (((gpointer*) array)[length]) {
#line 193 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/moduleloader.vala"
			length++;
#line 2616 "markupreader.c"
		}
	}
#line 193 "/tmp/B.a296bc8f-28ef-43af-b4c0-4ad706d25982/BUILD/valadoc/src/libvaladoc/moduleloader.vala"
	return length;
#line 2621 "markupreader.c"
}



